package com.jeeplus.test.reimbursementAccountant.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.reimbursementAccountant.domain.dto.AccountantReimbursementBusinessTwoDTO;
import com.jeeplus.test.reimbursementAccountant.mapper.AccountantReimbursementBusinessTwoMapper;
import com.jeeplus.test.reimbursementAccountant.service.AccountantReimbursementBusinessTwoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional(readOnly = true)
public class AccountantReimbursementBusinessTwoServiceImpl implements AccountantReimbursementBusinessTwoService {

    @Autowired
    private AccountantReimbursementBusinessTwoMapper accountantReimbursementBusinessTwoMapper;

    @Override
    public IPage<AccountantReimbursementBusinessTwoDTO> findListPage(Page<AccountantReimbursementBusinessTwoDTO> page, AccountantReimbursementBusinessTwoDTO accountantReimbursementBusiness) {
        return accountantReimbursementBusinessTwoMapper.findListPage(page,accountantReimbursementBusiness);
    }

    @Transactional(readOnly = false)
    @Override
    public void delPhysicsById(String id) {
        accountantReimbursementBusinessTwoMapper.delPhysicsById(id);
    }

    @Transactional(readOnly = false)
    @Override
    public void addData(AccountantReimbursementBusinessTwoDTO accountantReimbursementBusinessTwoDTO) {
        accountantReimbursementBusinessTwoDTO.preInsert();
        accountantReimbursementBusinessTwoMapper.insertAccountantReimbursementBusiness(accountantReimbursementBusinessTwoDTO);
    }
}
