package com.jeeplus.test.reimbursementAccountant.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.reimbursementAccountant.domain.dto.AccountantReimbursementBusinessTwoDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


@Mapper
public interface AccountantReimbursementBusinessTwoMapper extends BaseMapper<AccountantReimbursementBusinessTwoDTO> {

    /**
     * 分页查询
     */
    IPage<AccountantReimbursementBusinessTwoDTO> findListPage(Page<AccountantReimbursementBusinessTwoDTO> page,
                                                              @Param("accountantReimbursementBusiness")AccountantReimbursementBusinessTwoDTO accountantReimbursementBusiness);

    /**
     * 物理删除
     * @param id
     */
    void delPhysicsById(@Param("id")String id);

    /**
     * 新增
     */
    void insertAccountantReimbursementBusiness(AccountantReimbursementBusinessTwoDTO accountantReimbursementBusiness);




}
